%global srcname requests-toolbelt
%global altname requests_toolbelt

%global py3_prefix python%{python3_pkgversion}

Name:           python-%{srcname}
Version:        0.8.0
Release:        3%{?dist}
Summary:        Utility belt for advanced users of python-requests

License:        ASL 2.0
URL:            https://toolbelt.readthedocs.io
Source0:        https://github.com/sigmavirus24/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# present in upstream master but not in a stable release yet
Patch0:         python-requests-toolbelt-fix-unhandled-exception-from-tests.patch
# requests < 2.8.0 (Python 2/RHEL 7) uses lower-case header names which breaks
# the tests (python36-requests is provided by EPEL and uses a newer version)
Patch10:        python-requests-toolbelt-lower-case-request-headers.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-betamax
BuildRequires:  python-mock
BuildRequires:  python-pytest
BuildRequires:  python-requests

Requires:       python-requests

%description
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%package -n %{py3_prefix}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-setuptools
BuildRequires:  %{py3_prefix}-betamax
BuildRequires:  %{py3_prefix}-mock
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-requests

Requires:       %{py3_prefix}-requests

%description -n %{py3_prefix}-%{srcname}
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%prep
%autosetup -p1 -n toolbelt-%{version}

# test is marked as "skip" but somehow pytest still tries to run the test. The
# test file is deleted in later versions of toolbelt so I assume it is safe to
# delete it.
rm -f tests/test_host_header_ssl_adapter.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
py.test -v
py.test-%{python3_version} -v

%files -n python-%{srcname}
%license LICENSE
%doc README.rst HISTORY.rst
%{python2_sitelib}/%{altname}/
%{python2_sitelib}/%{altname}-*.egg-info/

%files -n %{py3_prefix}-%{srcname}
%license LICENSE
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{altname}/
%{python3_sitelib}/%{altname}-*.egg-info/


%changelog
* Tue Apr 28 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.8.0-3
- reenable tests with Python 3

* Mon Apr 13 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.8.0-2
- run test suite in %%check
- add python 3 subpackage

* Wed Jan 24 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.8.0-1
- Update to 0.8.0 version

* Thu Jan 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.6.0-1
- update to 0.6.0 release

* Wed Dec 23 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- Update to 0.4.0

* Fri Feb 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-2
- Add missing LICENSE file

* Mon Feb 02 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-1
- Initial packaging

